version: "3.8"

services:
  api:
    hostname: api
    depends_on:
      - db
    ports:
      - '80'
    build: $PWD/api/
    env_file: .env
    volumes:
      - $PWD/api/src:/srv/src
      - $PWD/api/config:/srv/config
      - $PWD/api/migrations:/srv/migrations
    networks:
      skeleton:
  web:
    hostname: web
    depends_on:
      - api
    ports:
      - '3000'
    build:
      context: $PWD/web/
    volumes:
      - $PWD/web/src:/srv/src
    networks:
      skeleton:

  db:
    hostname: db
    image: "postgres"
    ports:
      - '8432:5432'
    env_file:
      - .env
    volumes:
      - database-volume:/var/lib/postgresql/data/
    networks:
      skeleton:
        ipv4_address: 172.48.0.69

  proxy:
    hostname: skeleton
    depends_on:
      - web
      - api
    build:
      context: $PWD/proxy/
    ports:
      - '9669:80'
    networks:
      skeleton:


networks:
  skeleton:
    ipam:
      driver: default
      config:
        - subnet: 172.48.0.0/16

volumes:
  database-volume: ~
